Permanently protected template

Template:Infobox source reliability/styles.css: Difference between revisions

From Wikipedia, the free encyclopedia
Jump to navigation Jump to search
imported>Pppery
No edit summary
 
imported>Pppery
No edit summary
 
(No difference)

Latest revision as of 21:43, 20 November 2025

/* {{pp-template}} */
/* Class for a dashed red–green border on all sides */
.dashed-rg-border {
  position: relative;
  padding: 1em;
  border: 2px solid transparent;
}

.dashed-rg-border::before,
.dashed-rg-border::after {
  content: '';
  position: absolute;
  top: 0; bottom: 0; left: 0; right: 0;
/*  pointer-events: none; */
}

/* Horizontal dashed borders (top & bottom) */
.dashed-rg-border::before {
  border-top: 2px dashed transparent;
  border-bottom: 2px dashed transparent;
  border-image: repeating-linear-gradient(
    to right,
    #00ad00 0,
    #00ad00 20px,
    white 20px,
    white 22px,
    #ff3333 22px,
    #ff3333 42px,
    white 42px,
    white 44px
  ) 1;
}

/* Vertical dashed borders (left & right) */
.dashed-rg-border::after {
  border-left: 2px dashed transparent;
  border-right: 2px dashed transparent;
  border-image: repeating-linear-gradient(
    to bottom,
    #00ad00 0,
    #00ad00 20px,
    white 20px,
    white 22px,
    #ff3333 22px,
    #ff3333 42px,
    white 42px,
    white 44px
  ) 1;
}